import java.util.*;

public class Customer {
	private Euro totalCharge = new Euro(0.00);
	private List rentals = new ArrayList();

	public void rentMovie(Movie movie, int daysRented) {
		totalCharge = totalCharge.plus(movie.getCharge(daysRented));
		rentals.add(new Rental(movie, daysRented));
	}

	public String printStatement() {
		String result = "";
		for (Iterator i = rentals.iterator(); i.hasNext();) {
			Rental rental = (Rental) i.next();
			result += "\t" + rental.getMovieTitle() + "\t"
					+ rental.getCharge().format() + "\n";
		}
		result += "Gesamt: " + getTotalCharge().format() + "\n";
		return result;
	}

	public Euro getTotalCharge() {
		Euro result = new Euro(0);
		for (Iterator i = rentals.iterator(); i.hasNext();) {
			Rental rental = (Rental) i.next();
			result = result.plus(rental.getCharge());
		}
		return result;
	}
}