import junit.framework.TestCase;

public class PriceTest extends TestCase {
	public void testBasePrice() {
		assertEquals(new Euro(2.00), Price.NEWRELEASE.getCharge(1));
		assertEquals(new Euro(2.00), Price.NEWRELEASE.getCharge(2));
	}

	public void testPricePerDay() {
		assertEquals(new Euro(3.75), Price.NEWRELEASE.getCharge(3));
		assertEquals(new Euro(5.50), Price.NEWRELEASE.getCharge(4));
	}
}